<template>
    <div class="togglable" v-if="displayLeague">
        <div class="box-table-headinfo">
            <div class="bottomline">
                <router-link
                    :to="`/football/league/${ league.id }`"
                    class="league-all"
                >
                <div class="division">

                    <div class="icon" :style="{ backgroundImage: league.img.length ? `url('/storage/${league.img}')` : `url('/img/league_placeholder.svg')` }"></div>
                    <div class="name">{{ league.name }}</div>
                </div>
                </router-link>

                <router-link
                    :to="`/football/league/${ league.id }`"
                    class="show-all"
                >
                    <div class="text">Show All Matches</div>
                    <div class="icon"> <svg> <use xlink:href="#triangle-arr-right"/> </svg> </div>
                </router-link>
            </div>
        </div>
        <div class="box-table-header">
            <div class="cell cell-datetime">{{ formattedDate }}</div>
            <div class="cell cell-team cell-empty"></div>
            <div class="cell cell-score">Score</div>
            <div class="cell cell-one">1</div>
            <div class="cell cell-x">X</div>
            <div class="cell cell-two">2</div>
            <div class="cell cell-play cell-empty"></div>
        </div>

        <div class="box-table-body">
            <league-match
                v-for="(match, matchIdx) in league.matches"
                :key="matchIdx"
                :match="match"
                :bets="dateMatchesBets"
            />
        </div>
    </div>
</template>

<script>
    import moment from 'moment'
    import LeagueMatch from './LeagueMatch'

    export default {
        name: 'CountryLeague',
        components: { LeagueMatch },
        props: {
            league: Object,
            dateMatchesBets: Object,
            date: { // (:date)
                type: String,
                default: moment(Date.now()).format('YYYY-MM-DD')
            },
            displayOnlyImportantLeagues: Boolean
        },
        computed: {
            leagueName() {
                return Object.values(this.league)[0][0].league_name
            },
            leagueId() {
                return Object.values(this.league)[0][0].league_id
            },
            dateString() {
                return this.date ? moment(this.league.matches[0].fixture_start_date).format('YYYY-MM-DD') : moment(Date.now()).format('YYYY-MM-DD')
            },
            formattedDate() {
                return moment(this.dateString).format('DD MMM YYYY')
            },
            formattedMatchesDate() {
                return _.orderBy(this.league.matches[0], ['fixture_start_date'],['asc']) ? _.orderBy(this.league.matches[0], ['start_date'],['asc']) : ' ';
            },

            displayLeague() {
                if (this.displayOnlyImportantLeagues) {
                    return this.league.important
                }
                return true
            }


        }
    }
</script>

<style scoped>

</style>
